package net.northking.cctp.se.script;

import lombok.Data;

import java.util.List;

/**
 * 脚本参数
 */
@Data
public class ScriptVariable {

    /**
     * 参数名称
     */
    private String name;

    /**
     * 参数描述
     */
    private String desc;

    /**
     * 参数类型
     */
    private String type;

    /**
     * 默认值
     */
    private String defaultValue;

    /**
     * 参数值
     */
    private String value;

    /**
     * 是否是输入参数
     */
    private boolean input;

    /**
     * 是否是输出参数
     */
    private boolean output;

    /**
     *
     */
    private List<String> quoted;


}
