/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.executePlan.db.entity.AtuPlanScriptLink;

import java.util.List;

/**
 * 计划脚本关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2023-08-31 16:48:02  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface AtuPlanScriptLinkService extends BasicService<AtuPlanScriptLink>
{

    Integer insertLinkList(List<AtuPlanScriptLink> list);

    /**
     * 根据脚本id统计
     * @param scriptIdList 脚本id集合
     * @return 结果
     */
    long countByScriptIdList(List<String> scriptIdList);

}
