package net.northking.cctp.executePlan.dto.planSceneCase;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Map;

/**
 * <p>Title: AtuSceneNextNodeDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2022/12/13
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */

@Data
public class AtuSceneNextNodeDto implements Serializable {
    /**
     * 任务ID
     */
    private String taskId;
    /**
     * 用例ID
     */
    private String caseId;

    @ApiModelProperty("脚本Url")
    private String sceneScriptUrl;

    /**
     * 节点ID
     */
    private String nodeId;

    /**
     * 是否成功
     */
    private Boolean success;

    /**
     * 输出参数
     */
    private Map<String, Object> outputArgs;

    /**
     * 场景脚本id
     */
    private String scriptId;
}
