/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.scriptcase.db.entity.App;

/**
 * Mybatis数据库持久层（底层）：应用表
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2022-10-13 10:00:44  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface AppMapper extends BasicDao<App>
{
  String EntityName = "App";

  String COLUMN_id = "id";
  String COLUMN_appName = "app_name";
  String COLUMN_appSize = "app_size";
  String COLUMN_packageName = "package_name";
  String COLUMN_buildVersion = "build_version";
  String COLUMN_platform = "platform";
  String COLUMN_appUrl = "app_url";
  String COLUMN_versionMark = "version_mark";
  String COLUMN_ownerId = "owner_id";
  String COLUMN_tenantId = "tenant_id";
  String COLUMN_appIcon = "app_icon";
  String COLUMN_remarks = "remarks";
  String COLUMN_versionCode = "version_code";
  String COLUMN_activity = "activity";
  String COLUMN_createdBy = "created_by";
  String COLUMN_createdTime = "created_time";
  String COLUMN_updatedBy = "updated_by";
  String COLUMN_updatedTime = "updated_time";

}
