/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.db.dao;

import net.northking.cctp.device.db.entity.CdDeviceUsageLog;
import net.northking.cctp.device.db.mapper.CdDeviceUsageLogMapper;
import net.northking.cctp.device.dto.device.DeviceLogDto;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 设备使用记录
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-09-22 16:34:55  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface CdDeviceUsageLogDao extends CdDeviceUsageLogMapper
{
    List<CdDeviceUsageLog> queryPages(DeviceLogDto dto);

    String queryCreatedBy(String deviceId);

    void deleteUsageLog();
  // ----      The End by Generator     ----//

}
