drop table if exists cp_project_manage;

CREATE TABLE `cp_project_manage` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL COMMENT '主键',
  `project_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '项目id',
  `template_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '管理模板id',
  `template_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '模板名称',
  `template_memo` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '模板描述',
  `layer_total` int(2) DEFAULT NULL COMMENT '项目层级',
  `created_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `tenant_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='项目管理关联';

