package net.northking.cctp.common.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel("高级查询选项")
@Data
public class AdvancedQueryOptions {

    @ApiModelProperty(value = "责任人列表", example = "[{\"id\":1,\"userName\":\"admin\",\"displayName\":\"admin\",\"status\":\"1\"}]")
    List<UserOptions> managerList;

    @ApiModelProperty(value = "创建人列表", example = "[{\"id\":1,\"userName\":\"admin\",\"displayName\":\"admin\",\"status\":\"1\"}]")
    List<UserOptions> creatorList;

    @ApiModelProperty(value = "更新人列表", example = "[{\"id\":1,\"userName\":\"admin\",\"displayName\":\"admin\",\"status\":\"1\"}]")
    List<UserOptions> updaterList;
}
