/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.dw.db.entity.MidProjectInfo;
import net.northking.cctp.dw.db.entity.MidTestPoint;
import net.northking.cctp.dw.db.entity.MtTestChart;
import net.northking.cctp.dw.dto.MidTestPointDetailDto;

import java.util.List;

/**
 * 测试点中间表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-14 18:32:57  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
public interface MidTestPointService extends BasicService<MidTestPoint> {

    List<MtTestChart> createTestPointProgress(String tenantId);

    List<MidTestPointDetailDto> testPointPie(String projectId);

    Integer countTestPointData(List<MidProjectInfo> midProjectInfos,String tenantId);

    List<MidTestPoint> findByTenantId(List<MidProjectInfo> midProjectInfos);

    void deleteByData(List<MidProjectInfo> midProjectInfos);
}
