/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.dw.db.entity.DwManualExecJob;
import net.northking.cctp.dw.db.entity.MtCaseExecChart;
import net.northking.cctp.dw.dto.ChartDataGeneQueryDto;
import net.northking.cctp.dw.dto.MtCaseExecChartDetailDto;

import java.util.List;

/**
 * 用例执行统计图表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-15 14:58:27  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
public interface MtCaseExecChartService extends BasicService<MtCaseExecChart> {

    List<MtCaseExecChartDetailDto> listQuery(ChartDataGeneQueryDto chartDataGeneQueryDto);

    Integer syncExecNotice(DwManualExecJob dwManualExecJob);

    Integer deleteByExampleByProjectIds(MtCaseExecChart mtCaseExecChart);
}
