/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import net.northking.cctp.dw.db.entity.MtCaseDesignChart;

import java.io.Serializable;

/**
 * Restful接口--新增资源--数据传输对象：用例设计统计图表
 * <p>
 * <p>
 * createdate:  2021-12-15 14:59:29  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@JsonSerialize
@ApiModel(description = "用例设计统计图表 ")
public class MtCaseDesignChartAddDto extends MtCaseDesignChart implements Serializable {

    private String userName;

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }
}