package net.northking.cctp.dw.dto;

import io.swagger.annotations.ApiModel;
import lombok.Data;

@Data
@ApiModel(description = "系统概况")
public class ProjectOverviewDto {
    private NormalScriptInfoOverviewDto normalScriptInfoOverviewDto;

    private SenceScriptInfoOverviewDto senceScriptInfoOverviewDto;

    private ComponentInfoDto componentInfoDto;

    private PlanInfoDto planInfoDto;
    @Data
    public static class NormalScriptInfoOverviewDto{
        // bs脚本数
        private Integer bsScriptNum;
        // cs脚本
        private Integer csScriptNum;
        // 安卓脚本
        private Integer androidScriptNum;
        // ios脚本
        private Integer iosScriptNum;
        // 自定义脚本
        private Integer customScriptNum;
        // 我负责的一般脚本
        private Integer chargeScriptNum;
    }

    @Data
    public static class SenceScriptInfoOverviewDto{
        private Integer scriptNum;

        private Integer chargeScriptNum;
    }

    @Data
    public static class ComponentInfoDto{
        private Integer componentNum;

        private Integer chargeCompentNum;
    }

    @Data
    public static class PlanInfoDto{
        private Integer planNum;

        private Integer chargePlanNum;
    }
}
