/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.platform.db.impl;

import net.northking.cctp.common.saas.db.TenantEntityService;
import net.northking.cctp.platform.db.dao.CpLogContentDao;
import net.northking.cctp.platform.db.service.CpLogContentService;
import net.northking.cctp.platform.db.entity.CpLogContent;

import net.northking.cctp.common.db.BasicDao;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;


/**
 * 
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-06 14:56:52  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "CpLogContentServiceImpl")
public class CpLogContentServiceImpl extends TenantEntityService<CpLogContent> implements CpLogContentService
{
private static final Logger logger = LoggerFactory.getLogger(CpLogContentServiceImpl.class);

  private final CpLogContentDao cpLogContentDao;

  public CpLogContentServiceImpl(CpLogContentDao cpLogContentDao) {this.cpLogContentDao = cpLogContentDao;}

  public BasicDao<CpLogContent> getDao() {return cpLogContentDao;}

  public CpLogContent createEntity() { return new CpLogContent();}

  @Override
  public int insertCpLogContent(CpLogContent cpLogContent) {
    return this.cpLogContentDao.insertCpLogContent(cpLogContent);
  }







}

