/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.scriptcase.db.entity.AtuGlobalVariable;

/**
 * Mybatis数据库持久层（底层）：全局变量表
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2022-10-29 11:40:19  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface AtuGlobalVariableMapper extends BasicDao<AtuGlobalVariable>
{
  String EntityName = "AtuGlobalVariable";

  String COLUMN_id = "id";
  String COLUMN_name = "name";
  String COLUMN_dataType = "data_type";
  String COLUMN_defaultValue = "default_value";
  String COLUMN_memo = "memo";
  String COLUMN_delete = "is_delete";
  String COLUMN_variableType = "variable_type";
  String COLUMN_scriptId = "script_id";
  String COLUMN_tenantId = "tenant_id";
  String COLUMN_projectId = "project_id";
  String COLUMN_updatedBy = "updated_by";
  String COLUMN_updatedTime = "updated_time";
  String COLUMN_createdBy = "created_by";
  String COLUMN_createdTime = "created_time";

}
