package net.northking.cctp.scriptcase.dto.inputSet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@ApiModel(value = "输入项数据集")
@Data
public class InputSet {

    @ApiModelProperty(value = "环境id", required = true)
    private String envId;

    @ApiModelProperty(value = "保存数据", required = true)
    private List<Map<String, Object>> tableContent;

    @ApiModelProperty(value = "数据集地址", required = false)
    private String dataUrl;

}
