package net.northking.cctp.scriptcase.dto.sceneScript;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@JsonSerialize
@ApiModel(description = "执行计划传递变量")
public class ResVariable implements Serializable {
    @ApiModelProperty("场景脚本变量名称")
    public String name;
    @ApiModelProperty("场景脚本变量描述")
    public String desc;
    @ApiModelProperty("场景脚本变量类型(int,float,string,json)")
    public String type;
    @ApiModelProperty("场景脚本变量值")
    public String value;
    @ApiModelProperty("场景脚本变量是否输入项,默认值为false")
    public boolean input;
    @ApiModelProperty("场景脚本变量是否输出项,默认值为false")
    public boolean output;
}
