/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.db.dao;

import net.northking.cctp.device.db.entity.CdPcUser;
import net.northking.cctp.device.db.mapper.CdPcUserMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * PC设备操作系统用户
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-09-28 14:15:26  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface CdPcUserDao extends CdPcUserMapper
{
    List<CdPcUser> queryUserByPC(@Param("deviceId") String deviceId);

  // ----      The End by Generator     ----//

}
