/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.project.db.dao;

import net.northking.cctp.project.db.entity.CpProjectEnvDs;
import net.northking.cctp.project.db.mapper.CpProjectEnvDsMapper;
import net.northking.cctp.project.dto.env.CpProjectEnvDsDeleteDto;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 系统环境数据源信息
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2023-09-12 10:47:07  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface CpProjectEnvDsDao extends CpProjectEnvDsMapper
{
    /**
     * 删除不在该环境下的数据源信息
     * @param deleteDto 删除参数
     * @return 结果
     */
    int deleteByProjectIdNoInEnvIds(CpProjectEnvDsDeleteDto deleteDto);

    List<CpProjectEnvDs> queryEnvDsByDto(CpProjectEnvDs dto);
    // ----      The End by Generator     ----//

}
