drop table if exists ip_process;

CREATE TABLE `ip_process` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL COMMENT '主键',
  `name` varchar(128) COLLATE utf8mb4_bin NOT NULL COMMENT '实施流程名称',
  `memo` varchar(512) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '详细描述',
  `is_can_modify` tinyint(1) DEFAULT '1' COMMENT '是否可以编辑',
  `is_defaulted` tinyint(1) DEFAULT '0' COMMENT '是否默认',
  `is_enabled` tinyint(1) DEFAULT '1' COMMENT '是否启用',
  `is_deleted` tinyint(1) DEFAULT '0' COMMENT '是否已删除',
  `created_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新人',
  `updated_time` datetime DEFAULT NULL COMMENT '更新时间',
  `tenant_id` varchar(32) COLLATE utf8mb4_bin NOT NULL COMMENT '租户',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='实施流程定义';