/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.dao;

import net.northking.cctp.dw.db.entity.DwManualExecJob;
import net.northking.cctp.dw.db.entity.MtCaseExecChart;
import net.northking.cctp.dw.db.mapper.MtCaseExecChartMapper;
import net.northking.cctp.dw.dto.ChartDataGeneQueryDto;
import net.northking.cctp.dw.dto.MtCaseExecChartDetailDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：用例执行统计图表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-15 14:58:27  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@Repository
public interface MtCaseExecChartDao extends MtCaseExecChartMapper {

    List<MtCaseExecChartDetailDto> listQuery(ChartDataGeneQueryDto chartDataGeneQueryDto);

    Integer syncExecNotice(DwManualExecJob dwManualExecJob);

    Integer deleteByExampleByProjectIds(MtCaseExecChart mtCaseExecChart);

    List<MtCaseExecChart> queryByProjectId(@Param("projectId") String projectId);
}
