/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.impl;

import net.northking.cctp.common.db.PaginationService;
import net.northking.cctp.dw.db.dao.BugValidRepairRatioDao;
import net.northking.cctp.dw.db.entity.SynBugInfo;
import net.northking.cctp.dw.db.service.BugValidRepairRatioService;
import net.northking.cctp.dw.db.entity.BugValidRepairRatio;

import net.northking.cctp.common.db.BasicDao;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 缺陷有效率和修复率
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-17 11:01:46  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "BugValidRepairRatioServiceImpl")
public class BugValidRepairRatioServiceImpl extends PaginationService<BugValidRepairRatio> implements BugValidRepairRatioService
{
private static final Logger logger = LoggerFactory.getLogger(BugValidRepairRatioServiceImpl.class);

  private final BugValidRepairRatioDao bugValidRepairRatioDao;

  public BugValidRepairRatioServiceImpl(BugValidRepairRatioDao bugValidRepairRatioDao) {this.bugValidRepairRatioDao = bugValidRepairRatioDao;}

  public BasicDao<BugValidRepairRatio> getDao() {return bugValidRepairRatioDao;}

  public BugValidRepairRatio createEntity() { return new BugValidRepairRatio();}

  @Override
  protected void beforeInsert(BugValidRepairRatio bugValidRepairRatio) {

  }

  @Override
  protected void beforeUpdate(BugValidRepairRatio bugValidRepairRatio) {

  }

  @Override
  public void addBatch(List<SynBugInfo> dataList, String tenantId) {
    bugValidRepairRatioDao.addBatch(dataList,tenantId);
  }

  @Override
  public void deleteData(List<SynBugInfo> dataList, String tenantId) {
    bugValidRepairRatioDao.deleteData(dataList,tenantId);
  }


// ----      The End by Generator     ----//




}

