/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.dw.db.entity.MtCaseDesignChart;
import net.northking.cctp.dw.dto.ChartDataGeneQueryDto;
import net.northking.cctp.dw.dto.DwCaseDesignInfoUpdateDto;
import net.northking.cctp.dw.dto.MtCaseDesignChartAddDto;
import net.northking.cctp.dw.dto.MtCaseDesignChartDetailDto;
import net.northking.cctp.platform.db.entity.CltDictItem;

import java.util.List;

/**
 * 用例设计统计图表
 *
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-15 14:58:27  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
public interface MtCaseDesignChartService extends BasicService<MtCaseDesignChart> {

    List<MtCaseDesignChartDetailDto> listQuery(ChartDataGeneQueryDto chartDataGeneQueryDto);

    List<String> getTenantIdList();

    List<MtCaseDesignChartAddDto> syncDesignNotice(List<CltDictItem> dictItems, String tenantId);

    List<MtCaseDesignChartAddDto> syncDesignNoticeByProjectId(List<CltDictItem> dictItems, String projectId);

    Integer deleteByExampleByProjectIds(MtCaseDesignChart mtCaseDesignChart);

    Integer syncDesignNoticeByProjectIds(DwCaseDesignInfoUpdateDto dwCaseDesignInfoUpdateDto);
}
