DROP TABLE IF EXISTS `mid_test_point`;
CREATE TABLE `mid_test_point` (
	`id` BIGINT(20) NOT NULL AUTO_INCREMENT,
	`tenant_id` VARCHAR(50) NOT NULL COMMENT '租户id' ,
	`project_id` VARCHAR(50) NOT NULL COMMENT '项目id' ,
	`completed` INT(11) NOT NULL COMMENT '已关联用例数量',
	`uncompleted` INT(11) NOT NULL COMMENT '新建数量',
	`total` INT(11) NOT NULL COMMENT '总数',
	`created_time` DATE NOT NULL COMMENT '创建日期',
	PRIMARY KEY (`id`) USING BTREE,
	INDEX `project_id` (`project_id`) USING BTREE,
	INDEX `tenant_id` (`tenant_id`) USING BTREE
)
COMMENT='测试点中间表'
ENGINE=InnoDB
COLLATE='utf8mb4_bin'
AUTO_INCREMENT=1
;

--CREATE TABLE `mid_test_point` (
--	`id` BIGINT(20) NOT NULL AUTO_INCREMENT,
--	`tenant_id` VARCHAR(50) NOT NULL COMMENT '租户id' COLLATE 'utf8_general_ci',
--	`project_id` VARCHAR(50) NOT NULL COMMENT '项目id' COLLATE 'utf8_general_ci',
--	`completed` INT(11) NOT NULL COMMENT '已关联用例数量',
--	`uncompleted` INT(11) NOT NULL COMMENT '新建数量',
--	`total` INT(11) NOT NULL COMMENT '总数',
--	`created_time` DATE NOT NULL COMMENT '创建日期',
--	PRIMARY KEY (`id`) USING BTREE,
--	INDEX `project_id` (`project_id`) USING BTREE,
--	INDEX `tenant_id` (`tenant_id`) USING BTREE
--)
--COMMENT='测试点中间表'
--COLLATE='utf8_general_ci'
--ENGINE=InnoDB
--AUTO_INCREMENT=768948
--;
