/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.platform.api.dict.service;

import net.northking.cctp.platform.db.entity.CltDictCatalog;
import net.northking.cctp.platform.db.entity.CltDictItem;

import java.util.List;

/**
 * 字典目录Restful逻辑接口
 * @author maven-cctp-plugin
 * @since 1.0
 */
public interface CltDictCatalogApiService
{

  List<CltDictItem> query(String tenantId, String catalogCode);

  List<CltDictItem> queryItem(CltDictCatalog cltDictCatalog);
}
