drop table if exists clt_user;

CREATE TABLE `clt_user` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '主键',
  `gender` varchar(16) COLLATE utf8mb4_bin DEFAULT '' COMMENT '性别',
  `nationality` varchar(16) COLLATE utf8mb4_bin DEFAULT '' COMMENT '民族',
  `id_type` varchar(16) COLLATE utf8mb4_bin DEFAULT '' COMMENT '证件类型',
  `id_no` varchar(60) COLLATE utf8mb4_bin DEFAULT '' COMMENT '证件号码',
  `marriage` varchar(16) COLLATE utf8mb4_bin DEFAULT '' COMMENT '婚姻状况',
  `politics` varchar(16) COLLATE utf8mb4_bin DEFAULT '' COMMENT '政治面貌',
  `family_county_id` varchar(32) COLLATE utf8mb4_bin DEFAULT '' COMMENT '籍贯',
  `email` varchar(100) COLLATE utf8mb4_bin DEFAULT '' COMMENT '电子邮箱',
  `cell_phone` varchar(32) COLLATE utf8mb4_bin DEFAULT '' COMMENT '手机号码',
  `address` varchar(128) COLLATE utf8mb4_bin DEFAULT '' COMMENT '通讯地址',
  `birthday` varchar(32) COLLATE utf8mb4_bin DEFAULT '' COMMENT '出生日期',
  `graduated_school` varchar(128) COLLATE utf8mb4_bin DEFAULT '' COMMENT '毕业院校',
  `graduated_date` varchar(32) COLLATE utf8mb4_bin DEFAULT '' COMMENT '毕业时间',
  `graduated_specialty` varchar(128) COLLATE utf8mb4_bin DEFAULT '' COMMENT '毕业专业',
  `edu_code` varchar(32) COLLATE utf8mb4_bin DEFAULT '' COMMENT '学历',
  `skills_certificate` varchar(400) COLLATE utf8mb4_bin DEFAULT '' COMMENT '技能证书',
  `specialty` varchar(400) COLLATE utf8mb4_bin DEFAULT '' COMMENT '专业特长',
  `work_status` varchar(16) COLLATE utf8mb4_bin DEFAULT '' COMMENT '工作状态',
  `tenant_id` varchar(32) COLLATE utf8mb4_bin DEFAULT 'NK' COMMENT '租户',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='用户信息';